# exception.hpp File Reference

`#include <exception>`
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/error.hpp>`
`#include <saga/saga/object.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Classes
class | saga::exception
class | saga::not_implemented
class | saga::parameter_exception
class | saga::incorrect_url
class | saga::bad_parameter
class | saga::state_exception
class | saga::already_exists
class | saga::does_not_exist
class | saga::incorrect_state
class | saga::security_exception
class | saga::permission_denied
class | saga::authorization_failed
class | saga::authentication_failed
class | saga::timeout
class | saga::no_success